Bug 454128 - Review Request: thibault-fonts - Collection of fonts from thibault.org
Summary: Review Request: thibault-fonts - Collection of fonts from thibault.org
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: noarch
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-05 01:45 UTC by Lyos Gemini Norezel
Modified: 2013-03-13 05:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-04 15:55:44 UTC
sundaram: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Lyos Gemini Norezel 2008-07-05 01:45:37 UTC
Spec URL: http://www.oslb.net/fonts/thibault-fonts.spec
SRPM URL: http://www.oslb.net/fonts/thibault-fonts-0.1-1.fc9.noarch.src.rpm
Description: 
A collection of fonts from thibault.org, including Isabella, Engadget, Essays1743, Rockets, and StayPuft.

Engadget: A sort of modernistic font done to match the logo of http://www.engadget.com

Essays1743: This is Essays 1743, a font by John Stracke, based on the typeface
used in a 1743 English translation of Montaigne's Essays. At present
(version 1.0), it contains normal, bold, italic, and bold italic versions
of 817 characters: all of ASCII, Latin-1, and Latin Extended A; some of
Latin Extended B (basically, the ones that are more or less based on Roman
letters); and a variety of other characters, such as oddball punctuation, numerals, etc.

Isabella: This font is called Isabella because it is based on the calligraphic
hand used in the Isabella Breviary, made around 1497, in Holland, for
Isabella of Castille, the first queen of united Spain.

Rockets: This font is called Rockets because it's vaguely space themed.  The A
is, more or less, a 1950s SF rocket; the O is meant to be Earth, with
the Americas visible.  The other capitals are based on curves from
either A or O, to keep the theme consistent.

StayPuft: Not a very impressive piece of work, but fun. I sat down to fiddle with pfaedit, and started seeing what I could do freehand, with minimal splines. The result was all rounded (not surprising), sort of marshmallowy, and I started thinking of it as the Stay-Puft Marshmallow Font (see Ghostbusters if you don't get it). Once I had a name, I felt compelled to round out the font (ISO 8859-1, at least). The outcome looks sort of like Comic Sans MS. It's kind of cute, and might be good for frivolous stuff such as birthday cards.

Comment 1 Lyos Gemini Norezel 2008-07-05 01:48:38 UTC
This is my first package. I'm currently seeking a sponsor.
Lyos Gemini Norezel

Comment 2 Nicolas Mailhot 2008-07-05 09:14:09 UTC
I'll take this one up.
As discussed on irc
1. please use upstream source archives
2. please split the package per font
3. please update the scriplets to the version approved by FPC and FESCO

Since you're not on a high-bandwidth link, posting the specs is sufficient, I'll
take care of the srpm bits

Comment 3 Lyos Gemini Norezel 2008-07-05 10:24:01 UTC
Scriplets fixed in new version of full (non-split) rpm. Same URL as original.

Split rpms will be orphaned shortly after acceptance.

Lyos Gemini Norezel

Comment 4 Nicolas Mailhot 2008-07-05 11:10:30 UTC
Packager does not wish to adhere to guidelines long term, and announced his
intention to drop packages as soon as they're in the repo

=> failed review

Comment 5 Matt Domsch 2008-07-09 05:44:04 UTC
I see no reason why this couldn't be a single package, generating 5 .noarch.rpm
subpackages.  The content does not change frequently (not since 2006), and the 5
are not really individually versioned.

Re-opening for clarification.

Furthermore, the requester (on IRC) intends not to be a fire-and-forget packager:

<LyosNorezel> I intend to maintain the single combination package for as long as
possible... ie., something on the order of 2+ years


Comment 7 Lyos Gemini Norezel 2008-07-10 19:31:41 UTC
Engadget font dropped from package until legal status can be clarified.

Comment 9 Matt Domsch 2008-07-15 05:44:15 UTC
http://domsch.com/linux/fedora/thibault-fonts.spec

is more what was requested, with 4 subpackages generated, one per font.  A few
other minor cleanups.  There's more review to be done, but that's as far as I
got tonight in fixing it up.

Comment 10 Lyos Gemini Norezel 2008-07-15 22:57:03 UTC
Mock build provided new rpms from new spec file provided by mdomsch:
Spec: http://www.oslb.net/fonts/thibault-fonts.spec
Rawhide SRPM:  http://www.oslb.net/fonts/thibault-fonts-0.1-1.fc10.src.rpm
FC9 SRPM: http://www.oslb.net/fonts/thibault-fonts-0.1-1.fc9.src.rpm
FC8 SRPM: http://www.oslb.net/fonts/thibault-fonts-0.1-1.fc8.src.rpm
FC7 SRPM: http://www.oslb.net/fonts/thibault-fonts-0.1-1.fc7.src.rpm

Rawhide Essays1743 RPM:
http://www.oslb.net/fonts/thibault-fonts-essays1743-0.1-1.fc10.src.rpm
FC9 Essays1743 RPM:
http://www.oslb.net/fonts/thibault-fonts-essays1743-0.1-1.fc9.src.rpm
FC8 Essays1743 RPM:
http://www.oslb.net/fonts/thibault-fonts-essays1743-0.1-1.fc8.src.rpm
FC7 Essays1743 RPM:
http://www.oslb.net/fonts/thibault-fonts-essays1743-0.1-1.fc7.src.rpm

Rawhide Isabella RPM:
http://www.oslb.net/fonts/thibault-fonts-isabella-0.1-1.fc10.src.rpm
FC9 Isabella RPM:
http://www.oslb.net/fonts/thibault-fonts-isabella-0.1-1.fc9.src.rpm
FC8 Isabella RPM:
http://www.oslb.net/fonts/thibault-fonts-isabella-0.1-1.fc8.src.rpm
FC7 Isabella RPM:
http://www.oslb.net/fonts/thibault-fonts-isabella-0.1-1.fc7.src.rpm

Rawhide Rockets RPM:
http://www.oslb.net/fonts/thibault-fonts-rockets-0.1-1.fc10.src.rpm
FC9 Rockets RPM: http://www.oslb.net/fonts/thibault-fonts-rockets-0.1-1.fc9.src.rpm
FC8 Rockets RPM: http://www.oslb.net/fonts/thibault-fonts-rockets-0.1-1.fc8.src.rpm
FC7 Rockets RPM: http://www.oslb.net/fonts/thibault-fonts-rockets-0.1-1.fc7.src.rpm

Rawhide StayPuft RPM:
http://www.oslb.net/fonts/thibault-fonts-staypuft-0.1-1.fc10.src.rpm
FC9 StayPuft RPM:
http://www.oslb.net/fonts/thibault-fonts-staypuft-0.1-1.fc9.src.rpm
FC8 StayPuft RPM:
http://www.oslb.net/fonts/thibault-fonts-staypuft-0.1-1.fc8.src.rpm
FC7 StayPuft RPM:
http://www.oslb.net/fonts/thibault-fonts-staypuft-0.1-1.fc7.src.rpm

Lyos Gemini Norezel

Comment 11 Lyos Gemini Norezel 2008-07-15 23:00:16 UTC
Corrections made to previous post.
Mock build provided new rpms from new spec file provided by mdomsch:
Spec: http://www.oslb.net/fonts/thibault-fonts.spec
Rawhide SRPM:  http://www.oslb.net/fonts/thibault-fonts-0.1-1.fc10.src.rpm
FC9 SRPM: http://www.oslb.net/fonts/thibault-fonts-0.1-1.fc9.src.rpm
FC8 SRPM: http://www.oslb.net/fonts/thibault-fonts-0.1-1.fc8.src.rpm
FC7 SRPM: http://www.oslb.net/fonts/thibault-fonts-0.1-1.fc7.src.rpm

Rawhide Essays1743 RPM:
http://www.oslb.net/fonts/thibault-fonts-essays1743-0.1-1.fc10.noarch.rpm
FC9 Essays1743 RPM:
http://www.oslb.net/fonts/thibault-fonts-essays1743-0.1-1.fc9.noarch.rpm
FC8 Essays1743 RPM:
http://www.oslb.net/fonts/thibault-fonts-essays1743-0.1-1.fc8.noarch.rpm
FC7 Essays1743 RPM:
http://www.oslb.net/fonts/thibault-fonts-essays1743-0.1-1.fc7.noarch.rpm

Rawhide Isabella RPM:
http://www.oslb.net/fonts/thibault-fonts-isabella-0.1-1.fc10.noarch.rpm
FC9 Isabella RPM:
http://www.oslb.net/fonts/thibault-fonts-isabella-0.1-1.fc9.noarch.rpm
FC8 Isabella RPM:
http://www.oslb.net/fonts/thibault-fonts-isabella-0.1-1.fc8.noarch.rpm
FC7 Isabella RPM:
http://www.oslb.net/fonts/thibault-fonts-isabella-0.1-1.fc7.noarch.rpm

Rawhide Rockets RPM:
http://www.oslb.net/fonts/thibault-fonts-rockets-0.1-1.fc10.noarch.rpm
FC9 Rockets RPM:
http://www.oslb.net/fonts/thibault-fonts-rockets-0.1-1.fc9.noarch.rpm
FC8 Rockets RPM:
http://www.oslb.net/fonts/thibault-fonts-rockets-0.1-1.fc8.noarch.rpm
FC7 Rockets RPM:
http://www.oslb.net/fonts/thibault-fonts-rockets-0.1-1.fc7.noarch.rpm

Rawhide StayPuft RPM:
http://www.oslb.net/fonts/thibault-fonts-staypuft-0.1-1.fc10.noarch.rpm
FC9 StayPuft RPM:
http://www.oslb.net/fonts/thibault-fonts-staypuft-0.1-1.fc9.noarch.rpm
FC8 StayPuft RPM:
http://www.oslb.net/fonts/thibault-fonts-staypuft-0.1-1.fc8.noarch.rpm
FC7 StayPuft RPM:
http://www.oslb.net/fonts/thibault-fonts-staypuft-0.1-1.fc7.noarch.rpm

Lyos Gemini Norezel

Comment 12 Matt Domsch 2008-07-16 21:22:49 UTC
Reviewing...
rpmlint cleanups requested.

thibault-fonts.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 12)
thibault-fonts.src: E: description-line-too-long A collection of fonts from
thibault.org, including Isabella, Essays1743, StayPuft, and Rockets.
thibault-fonts.src: W: no-version-in-last-changelog
thibault-fonts.src: W: invalid-license LGPLv2.1
thibault-fonts-essays1743.noarch: E: summary-too-long Thibault.org font based on
the typeface used in a 1743 English translation of Montaigne's Essays
thibault-fonts-essays1743.noarch: W: no-version-in-last-changelog
thibault-fonts-essays1743.noarch: W: invalid-license LGPLv2.1
thibault-fonts-rockets.noarch: W: no-version-in-last-changelog
thibault-fonts-staypuft.noarch: W: no-version-in-last-changelog
thibault-fonts-isabella.noarch: W: no-version-in-last-changelog
5 packages and 0 specfiles checked; 2 errors, 8 warnings.

License tag should be "LGPLv2+", and only at the top, no extra one needed in
each %package.

BuildRoot could be better.  Preferred is
%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

other cleanups noted on IRC.  Not sure what to do about each of the subpackages
owning /usr/share/fonts/thibault/.  But seems nuts to make 4 new subdirs under
there just to solve it.


Comment 13 Lyos Gemini Norezel 2008-07-16 21:39:32 UTC
Updated per above mentioned suggestions.

http://www.oslb.net/fonts/thibault-fonts-0.1-1.fc9.src.rpm
http://www.oslb.net/fonts/thibault-fonts.spec

Lyos Gemini Norezel

Comment 14 Rahul Sundaram 2008-07-18 21:06:17 UTC
Fix the rpmlint warnings. While the mixed tab and spacing warnings are less
serious, the permissions are definitely wrong. 

srpm:

thibault-fonts.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 12)
thibault-fonts.src: W: strange-permission Essays1743-1.0-ttf.tar.gz 0777
thibault-fonts.src: W: strange-permission Rockets-ttf.tar.gz 0777
thibault-fonts.src: W: strange-permission StayPuft.tar.gz 0777
thibault-fonts.src: W: strange-permission Isabella.tar.gz 0777
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

Spec file:

thibault-fonts.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 12)
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

OK  | MUST: The package must be named according to the Package…
OK  | MUST: The spec file name must match the base package…
OK  | MUST: The package must meet the Packaging Guidelines…
OK  | MUST: The package must be licensed with a Fedora approved…
OK  | MUST: The License field in the package spec file must…
OK  | MUST: Packaged detached license and specified in %doc
OK  | MUST: The spec file for the package MUST be legible.
OK  | MUST: The package must successfully compile and build…
OK  | MUST: successfully compile, build 
OK  | MUST: All build dependencies must be listed…
OK  | MUST: A package must own all directories that it creates
OK  | MUST: A package must not contain any duplicate files 

NOK  | MUST: Permissions on files must be set properly. 

Please fix the incorrect permissions 

OK  | MUST: Each package must have a %clean section
OK  | MUST: Each package must consistently use macros
OK  | MUST: The package must contain code, or permissible 

OK  | MUST: Packages must not own files or directories already
OK  | MUST: At the beginning of %install, each package MUST…
OK  | MUST: All filenames in rpm packages must be valid UTF-8.
OK  | SHOULD: If the source package does not include license 
OK  | SHOULD: The description and summary section … translations…
OK  | SHOULD: The package builds in mock
OK  | SHOULD: The package builds on all supported architectures
OK  | SHOULD: The reviewer should test that the package…
OK  | SHOULD: If scriptlets are used, those scriptlets must be sane…

Add a font config file as described in 

http://fedoraproject.org/wiki/Annotated_fonts_spec_template

and in
http://fedoraproject.org/wiki/Fontconfig_packaging_tips





Comment 15 Dave Airlie 2008-07-19 05:26:33 UTC
I think that isn't the packagers real name, and I thought the CLA didn't permit
anonymous contributions.

Comment 16 Lyos Gemini Norezel 2008-07-20 02:38:55 UTC
Rpmlint errors/warnings fixed.
Fontconfig files added.

http://www.oslb.net/fonts/thibault-fonts.spec
http://www.oslb.net/fonts/thibault-fonts-0.1-1.fc9.src.rpm

Lyos Gemini Norezel

Comment 17 Tom "spot" Callaway 2008-07-21 14:56:02 UTC
(In reply to comment #15)
> I think that isn't the packagers real name, and I thought the CLA didn't permit
> anonymous contributions.

I've confirmed that it is his real name. There is no legal holdup here (that I
am aware of).

Comment 18 Rahul Sundaram 2008-07-21 16:12:54 UTC
Please use the setup macro. You might also want to look at rewriting the spec to
follow the template since the current style appears odd. Other than that APPROVED. 

Comment 19 Lyos Gemini Norezel 2008-08-01 20:39:14 UTC
New Package CVS Request
=======================
Package Name: thibault-fonts
Short Description: A collection of fonts from thibault.org, including Isabella,
Essays1743, Rockets, and StayPuft.
Owners: lyosnorezel
Branches: F-8 F-9
InitialCC: lyosnorezel
Cvsextras Commits: yes

Comment 20 Kevin Fenzi 2008-08-02 02:40:45 UTC
cvs done.

Comment 21 Fedora Update System 2008-08-02 11:27:48 UTC
thibault-fonts-0.1-1.fc8 has been submitted as an update for Fedora 8

Comment 22 Fedora Update System 2008-08-02 11:28:37 UTC
thibault-fonts-0.1-1.fc9 has been submitted as an update for Fedora 9

Comment 23 Fedora Update System 2008-09-10 07:00:47 UTC
thibault-fonts-0.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2008-09-10 07:23:44 UTC
thibault-fonts-0.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.